
Katello - Bug #3888

headers passed into api should be cloned before modified

12/16/2013 02:40 PM - Thomas McKay

Status: Closed   

Priority: Normal   

Assignee: Adam Price   

Category:    

Target version: Katello 2.0   

Difficulty:  Fixed in Releases:  

Triaged: Yes Found in Releases:  

Bugzilla link:  Red Hat JIRA:  

Pull request:    

Description

http://projects.theforeman.org/issues/3880

Same issue as foreman_api exists in katello_api.

It probably makes sense to build the creation of base.rb into the generate.rb script perhaps? Or better, to have katello_api extend

foreman_api and thus share base.rb. Or something

History

#1 - 03/24/2014 04:34 AM - Mike McCune

- Triaged set to Yes

#2 - 08/18/2014 11:54 AM - Eric Helms

- Status changed from New to Closed

Dynamic bindings now used and present for API.

#3 - 08/21/2014 02:20 PM - Eric Helms

- translation missing: en.field_release set to 13
